import { ElementRef, EventEmitter } from '@angular/core';
import { Position } from './model/position.model';
export declare class DraggableElementDirective {
    private el;
    originalPosition: Position;
    private pointerDown;
    rotate: number;
    coordinates: EventEmitter<Position>;
    stopped: EventEmitter<any>;
    constructor(el: ElementRef);
    onPointerDown(event: PointerEvent): void;
    onPointerUp(): void;
    onPointerMove(event: PointerEvent): void;
    onWindowPointerUp(): void;
    onPanStart(event: any): void;
    onPanEnd(): void;
    onPanMove(event: any): void;
    onWindowPanEnd(): void;
    private setOriginalPosition;
    private setNewPosition;
}
