import { AfterViewInit, ElementRef, OnChanges, QueryList } from '@angular/core';
import { Position } from '../model/position.model';
import { Size } from '../model/size.model';
import { HandleBar } from '../model/handle-bar.model';
export declare class ResizeHandlersComponent implements AfterViewInit, OnChanges {
    parentElement: ElementRef;
    rotate: number;
    selected: boolean;
    handles: QueryList<ElementRef>;
    minimumSize: number;
    constructor();
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    setHandlePositions(): void;
    setHandleStyles(element: ElementRef, styles: HandleBar): void;
    onPointerDown(event: PointerEvent): void;
    resize(className: string, coordinates: Position): void;
    calculatingPosition(parentElement: any, className: string, coordinates: Position): Size;
}
