import { OnInit, ComponentFactoryResolver, ComponentRef, ElementRef, EventEmitter, OnChanges, ViewContainerRef } from '@angular/core';
import { ResizeHandlersComponent } from './resize-handlers/resize-handlers.component';
export declare class ResizableElementDirective implements OnInit, OnChanges {
    private el;
    private container;
    private componentFactoryResolver;
    rotate: number;
    selected: boolean;
    stopped: EventEmitter<any>;
    resizeHandlersComponent: ComponentRef<ResizeHandlersComponent>;
    constructor(el: ElementRef, container: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngOnChanges(): void;
    addHandlersToElement(): void;
    onPointerDown(): void;
    onPointerUp(): void;
    onWindowPointerUp(targetEvent: any): void;
}
